<?php
/**
 * All controllers in the application should extend this class
 * OR implement the same 2 functions!
 * 
 * v1.0
 * @author nlac
 */

class ELanguageController extends CController {

	public function init() {
		if (Yii::app()->urlManager instanceof ELanguageUrlManager)
			Yii::app()->urlManager->setLang();

		parent::init();
	}
	
	public function redirect($url, $terminate=true, $statusCode=302) {
		if (Yii::app()->urlManager instanceof ELanguageUrlManager && is_string($url))
			$url = Yii::app()->urlManager->createStrUrl($url);
		
		parent::redirect($url, $terminate, $statusCode);
	}

}
